﻿using System;
using System.Windows;
using System.Windows.Data;
using System.Text;

namespace WPF_Wii_Binding_Library
{
    public class MultiplyConversion : IMultiValueConverter
    {
        public object Convert(object[] values,
                                Type targetType,
                                object parameter,
                                System.Globalization.CultureInfo culture)
        {
            double originalPosition = (double)values[0];
            double canvasSize = (double)values[1];

            double convertedPosition = originalPosition * canvasSize;

            convertedPosition = Math.Round(convertedPosition, 1);

            return convertedPosition;
        }

        public object[] ConvertBack(object value,
                                    Type[] targetTypes,
                                    object parameter,
                                    System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}
