﻿using System;
using System.Text;
using System.Windows;
using System.Windows.Data;

namespace WPF_Wii_Binding_Library
{

    //[ValueConversion (typeof(double), typeof(double))]
    public class VariableCanvasPointConverter : IMultiValueConverter
    {
        public object Convert(object[] values,
                                Type targetType,
                                object parameter,
                                System.Globalization.CultureInfo culture)
        {
            string valueChecker = values[0].ToString();
            double originalPosition;
            if (valueChecker == "{DependencyProperty.UnsetValue}")
            {
                originalPosition = 0;
            } else{
                originalPosition = (double)values[0];
            }
                 
            double canvasSize = (double)values[1];

            double convertedPosition = originalPosition * canvasSize;

            convertedPosition = Math.Round(convertedPosition, 1);

            return convertedPosition;
        }

        public object[] ConvertBack(object value,
                                    Type[] targetTypes,
                                    object parameter,
                                    System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException();
        }

    }
}
